#!/bin/bash
#
# Runs multiple realizations of a set of experiments (defined in
# the config.
#
# How to use this script:
#
# (nohup) ./run_multiple_realizations.sh hyperqueue 30
# to run 30 times the testing suite of hyperqueue
#
# This script will create status for each realization so that the
# user is aware of how the experiments finished.
#
# Copyright (c) 2025  Manuel G. Marciani
# BSC-CNS - Earth Sciences
#

module load Miniconda3/23.5.2-0
conda activate /home/Earth/mgimenez/Documents/dev/venvs/testing_suite_manu
module load autosubmit/3.15.19-foss-2021b-Python-2.7.18

for (( i=0 ; i < $2; ++i )); do
    echo "testing_suite --skip_folder_check --config_file $1_config.yml --create > create_$1_$i.out"
    echo "testing_suite --skip_folder_check --config_file $1_config.yml --skip_folder_check --run $1 run_$1_$i.out"
    echo "testing_suite --skip_folder_check --config_file $1_config.yml --status > status_$1_$i.out"
done

